Compare commits

...
Sign in to create a new pull request.

135 commits

Author SHA1 Message Date
Fedora Release Engineering
623fdfe7ed Rebuilt for https://fedoraproject.org/wiki/Fedora_45_Mass_Rebuild 2026-07-17 08:49:34 +00:00
Fedora Release Engineering
db082f083a Rebuilt for https://fedoraproject.org/wiki/Fedora_44_Mass_Rebuild 2026-01-17 20:15:17 +00:00
Michael Cronenworth
b44dc29930 wine-mono 10.4.1 2026-01-14 22:25:51 -06:00
Michael Cronenworth
af6c1782a2 Update to 11.0 2026-01-13 21:11:10 -06:00
Michael Cronenworth
e8364c165f One last tweak for alternatives 2025-12-26 23:31:25 -06:00
Michael Cronenworth
e6559db2a3 Account for alternatives 2025-12-23 01:07:51 -06:00
Michael Cronenworth
93da4dc922 Bring sanity to the upgrade path, credit Gordon Messmer (RHBZ#2401666) 2025-12-09 20:07:31 -06:00
Gordon Messmer
a64cc2643d Move libdir/wine to a new prefix to allow update with restructured content 2025-12-09 23:21:16 +00:00
Michael Cronenworth
ac54b336e3 Remove Conflicts
The steam package recommends this package in the next update
2025-12-01 14:48:51 -06:00
Michael Cronenworth
f30e696159 Update to 10.20 2025-12-01 14:20:03 -06:00
Michael Cronenworth
64e0d3f26e Rename wine-ntsync to ntsync-autoload
Per https://pagure.io/fesco/issue/3510
2025-11-21 13:30:21 -06:00
Michael Cronenworth
cb3a9e84ce Update to 10.19 2025-11-18 22:27:37 -06:00
Michael Cronenworth
1a90d98aba Rebuild for wine-mono 10.3.0 2025-11-02 20:29:39 -06:00
Michael Cronenworth
533469bd7f Update to 10.18 2025-11-02 13:27:08 -06:00
Michael Cronenworth
fde00fdab1 Commit latest scriptlet version 2025-10-28 08:54:43 -05:00
Michael Cronenworth
39b67234f3 Initial 10.16 update 2025-10-08 17:08:02 -05:00
Michael Cronenworth
f829700928 Update to 10.15 2025-09-17 10:36:45 -05:00
Michael Cronenworth
cd9d5f0876 Update to 10.14 2025-08-29 21:36:00 -05:00
Michael Cronenworth
66c41f94e5 Update to 10.13 2025-08-20 15:06:11 -05:00
Fedora Release Engineering
7383a6f78f Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild 2025-07-25 20:26:11 +00:00
Adam Williamson
d4a8da5c37 scriptlets: fix on x86_64, ensure always exit 0
The use of `winepedirs` is completely wrong here, expanding it
results in `alternatives` calls with too many arguments which
just print a usage message and exit.

I'm pretty sure going back to `winepedir` is the correct fix here
because the `%if %[ "x86_64" == "%{_target_cpu}" && %{with new_wow64} ]`
blocks that come under this part handle installing and removing
alternatives for the i386-windows files.

Also, ensure the scriptlets always exit 0. This is in the
packaging guidelines.
2025-07-18 17:41:21 -07:00
Björn Esser
d82bea6dc8
Use new wow64 mode for Fedora 43 and later, only
Signed-off-by: Björn Esser <besser82@fedoraproject.org>
2025-07-12 21:47:08 +02:00
Björn Esser
02a6e3f7e2
Drop unneeded libOSMesa dependency
Signed-off-by: Björn Esser <besser82@fedoraproject.org>
2025-07-12 21:45:16 +02:00
Björn Esser
a8574c637a
Update to 10.12
Signed-off-by: Björn Esser <besser82@fedoraproject.org>
2025-07-12 14:16:00 +02:00
Björn Esser
68367aba7b
Merge branch 'f42' into rawhide 2025-07-12 14:15:19 +02:00
Michael Cronenworth
721169b2f0 Own WOW64 directories in core 2025-07-08 09:33:14 -05:00
Michael Cronenworth
7d44cb18f7 Release -6 bump 2025-07-07 23:53:42 -05:00
Michael Cronenworth
1ee4875723 Deprecate legacy wow32 and wow64 packages 2025-07-07 23:52:15 -05:00
José Expósito
3dbc55d5a9 Add missing guards to use mesa-compat-libOSMesa 2025-06-30 08:10:24 +02:00
Michael Cronenworth
65a088941c Default to new WOW64 mode
See also:
https://src.fedoraproject.org/rpms/wine/pull-request/19
2025-06-25 22:00:01 -05:00
José Expósito
d634485766 Use mesa-compat-libOSMesa on Fedora 42 and later 2025-06-25 08:24:01 +02:00
José Expósito
428f5cdcd6 Use mesa-compat-libOSMesa on Fedora 42 and later 2025-06-25 07:44:44 +02:00
Yaakov Selkowitz
0701a14791 Use mesa-compat-libOSMesa in ELN
ELN (the future RHEL 11) tracks rawhide and therefore also has the latest
mesa without libOSMesa.
2025-04-29 21:16:28 -04:00
Björn Esser
093e8c9872
Use mesa-compat-libOSMesa on Fedora 43 and later
Signed-off-by: Björn Esser <besser82@fedoraproject.org>
2025-04-25 10:36:34 +02:00
Michael Cronenworth
51aea0fd13 Typo in wow32 package description 2025-04-01 21:23:36 -05:00
Michael Cronenworth
11b57cc76c Initial support for new Wow64 mode 2025-04-01 20:38:30 -05:00
Michael Cronenworth
224f258335 Update to 10.4 2025-03-22 14:28:30 -05:00
Michael Cronenworth
4f7f54d832 Force alternatives removal
For a few releases.
2025-03-01 20:11:33 -06:00
Peter Robinson
4680f67470 Bump build NVR
Add changelog for cleanups and bump for build.
2025-03-01 15:30:30 +00:00
Peter Robinson
addab1900b Move all to proper package license field
The license file macro has been in place
since el7 so we can move to it for
specifying the license.
2025-03-01 15:25:37 +00:00
Peter Robinson
23af794d91 Move the OpenCL checks to a feature conditional
ATM the OpenCL check is just the fedora check
so move it to a specific conditional to make
it easier to adjust it.
2025-03-01 15:25:32 +00:00
Peter Robinson
7bd6d8e69b Drop arm32 support
Fedora dropped arm32 with F-36, there's little
to no arm32 Windows support so we can just drop
all of the arm 32 bits pieces.
2025-03-01 15:25:09 +00:00
Peter Robinson
c1fa31f355 Cleanup old Fedora release conditionals
Cleanup all the old Fedora releases, some back to 17,
in some cases it allows a reasonable cleanup of multiple
levels of ifs in some places.
2025-03-01 15:22:56 +00:00
Peter Robinson
e1a56cbec0 Update mpg123 conditionals
All supported Fedora releases and EL9+ have
mpg123 so update the conditional so all
variants have MP3 support that can.
2025-03-01 15:22:51 +00:00
Peter Robinson
1cdf531389 Drop EOL RHEL releases
RHEL 6 & 7 are now end of life so we can
drop the old conditionals.
2025-03-01 15:22:39 +00:00
Michael Cronenworth
7fb0a75c9b Change x86_64 default alternatives from wine32 to wine64 2025-02-25 08:50:17 -06:00
Michael Cronenworth
efa2d4ec81 Update to 10.2 2025-02-24 16:21:52 -06:00
Michael Cronenworth
e6275b7668 Update to 10.1 2025-02-09 22:00:12 -06:00
Michael Cronenworth
e23840473e Update to 10.0 2025-01-22 08:22:41 -06:00
Michael Cronenworth
ae42a21887 Update to 10.0-rc6 2025-01-19 14:44:12 -06:00
Fedora Release Engineering
c7883a3aba Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild 2025-01-19 15:03:02 +00:00
Michael Cronenworth
4e3c1641bc Remove patch 550 2025-01-07 22:05:36 -06:00
Michael Cronenworth
c1abb56f41 Add 10.0-rc4 sources 2025-01-06 21:12:47 -06:00
Michael Cronenworth
511e26fc71 Update to 10.0-rc4 2025-01-06 20:59:28 -06:00
Zephyr Lykos
3e01363315
Fix wine-mono not loading iconv.dll from mingw bindir 2024-12-27 22:20:47 +08:00
Michael Cronenworth
2bb8fb0ea8 Update to 10.0-rc3 2024-12-26 22:41:28 -06:00
Michael Cronenworth
ddb27240da Update prep for rc2 2024-12-17 22:10:57 -06:00
Michael Cronenworth
d6ff1f55a3 Fix source lines for rc2 2024-12-17 20:06:36 -06:00
Michael Cronenworth
da5f7cc6a9 Remove alternatives removals that were supposed to be temporary 2024-12-17 19:57:57 -06:00
Michael Cronenworth
7a71095b44 Handle upgrades to convert d3d8.dll to alternatives take 2 2024-12-10 09:21:39 -06:00
Michael Cronenworth
e767efedd9 Handle upgrades to convert d3d8.dll to alternatives 2024-12-08 23:18:56 -06:00
Michael Cronenworth
f60ac4c5bf Add changelog entry 2024-12-06 22:39:19 -06:00
Michael Cronenworth
e004faf7af Update to 10.0-rc1 2024-12-06 22:36:48 -06:00
Zephyr Lykos
f161348b82
Change DirectX alternatives layout 2024-12-02 21:25:54 +08:00
Zephyr Lykos
1b412dc4d6
Add d3d8 alternative setup 2024-12-02 17:54:18 +08:00
Zephyr Lykos
55a3310521
Revert "Adapt alternatives layout to DXVK 2.0"
This reverts commit 56708c18ab.
2024-11-27 07:17:26 +08:00
Zephyr Lykos
c3096378b1
Update to 9.22 2024-11-25 21:27:26 +08:00
Zephyr Lykos
2e413fca53
Update to 9.21 2024-11-13 23:16:50 +08:00
Zephyr Lykos
b263e78edd
Fix uxtheme.dll regression 2024-09-28 19:36:31 +08:00
Zephyr Lykos
c582f5fc33
Update to 9.18 2024-09-25 13:27:16 +08:00
Zephyr Lykos
56708c18ab
Adapt alternatives layout to DXVK 2.0 2024-09-07 23:05:28 +08:00
Michael Cronenworth
33346baa11 Wine 9.15 and higher requires ARM MinGW binaries (dlltool) 2024-08-14 08:41:18 -05:00
Michael Cronenworth
7ff13e55b3 Add missing esync patch 2024-08-14 07:43:46 -05:00
Michael Cronenworth
7c38d157ad Update to 9.15 2024-08-13 23:20:50 -05:00
Fedora Release Engineering
d038b1d74a Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild 2024-07-20 09:22:12 +00:00
Michael Cronenworth
cd13acb1c0 Update to 9.5 2024-03-28 13:30:28 -05:00
Michael Cronenworth
b6dbe710ac Update to 9.1 2024-01-29 10:06:50 -06:00
Michael Cronenworth
5f9467af56 Revert smartcard subpackage due to RHBZ#2259936 2024-01-25 21:25:46 -06:00
Michael Cronenworth
cf3d3e4de9 Add smartcard subpackage (RHBZ#2259198) 2024-01-19 21:19:18 -06:00
Michael Cronenworth
519865b769 Another missed wine-staging pointer type fix 2024-01-18 08:21:06 -06:00
Michael Cronenworth
3cffb3e9cd Add missing staging patch fix 2024-01-17 21:10:02 -06:00
Michael Cronenworth
9ca61ed4fb Add patch for compile errors on i686 2024-01-17 20:48:30 -06:00
Michael Cronenworth
aee1016fb9 Update to 9.0 2024-01-16 22:17:13 -06:00
Michael Cronenworth
1710080362 Upstream only builds vcruntime140_1 on x86-64 starting with 8.19 2023-10-30 12:04:30 -05:00
Michael Cronenworth
38d5389de5 Update to 8.19 2023-10-30 11:39:14 -05:00
Michael Cronenworth
cd1d45170b Update to 8.18 2023-10-15 14:47:10 -05:00
Michael Cronenworth
0c6186e21c Update to 8.17 2023-10-01 14:59:42 -05:00
Michael Cronenworth
4bd4c29784 Update to 8.14 2023-08-22 08:29:43 -05:00
Michael Cronenworth
f2dd5f32e3 Add new DLLs 2023-08-17 11:51:51 -05:00
Michael Cronenworth
d64a90d527 Update to 8.13 2023-08-17 11:34:10 -05:00
Fedora Release Engineering
3cbd6000b6 Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Signed-off-by: Fedora Release Engineering <releng@fedoraproject.org>
2023-07-22 18:13:52 +00:00
Michael Cronenworth
3789343596 Skip the vkd3d-latest staging patch due to compile error
https://bugs.winehq.org/show_bug.cgi?id=55221
2023-07-10 12:58:04 -05:00
Michael Cronenworth
20cf6562e1 Update to 8.12 2023-07-10 11:53:34 -05:00
Michael Cronenworth
eaa22d0e41 AR files are not shipped in ARM now 2023-06-25 22:26:22 -05:00
Michael Cronenworth
ca2ad08c44 Update to 8.11 2023-06-25 22:02:22 -05:00
Michael Cronenworth
ebc7fa1000 Hack for wine-staging patch bug
https://bugs.winehq.org/show_bug.cgi?id=54868
2023-04-19 15:55:47 -05:00
Michael Cronenworth
ad5e9c3120 Update wine-gecko due to wine 8.6 2023-04-19 12:54:40 -05:00
Michael Cronenworth
8e731b9cb9 Update to 8.6 2023-04-19 08:11:59 -05:00
Michael Cronenworth
b687a89edf Update to 8.5 2023-04-01 23:43:28 -05:00
Marie Loise Nolden
0e97df7d85 cleanup spec file from old rhel 6 and 7, fedora <33 stuff and adapt to current wine-staging build
cleanup spec file from old rhel 6 and 7, fedora <33 stuff and adapt to current wine-staging build
2023-03-29 17:39:10 +00:00
Michael Cronenworth
3e27bd8eee Update to 8.4 2023-03-21 18:15:20 -05:00
Michael Cronenworth
8e53c8a627 Fix requires for win-iconv 2023-02-22 08:03:50 -06:00
Michael Cronenworth
4ceed3ffe2 Add Requires for mingw-libjpeg-turbo and mingw-libtiff 2023-02-21 23:33:50 -06:00
Michael Cronenworth
6da40cfff8 Upload 8.2 sources 2023-02-20 20:49:50 -06:00
Michael Cronenworth
b45c7c99cb Update to 8.2 and require mingw-libtiff 2023-02-20 20:37:54 -06:00
Michael Cronenworth
bb023fac43 Update to 8.1 2023-02-07 00:28:47 -06:00
Michael Cronenworth
c61376690a Update to 8.0 2023-01-24 22:48:54 -06:00
Fedora Release Engineering
c40bb1925a Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
Signed-off-by: Fedora Release Engineering <releng@fedoraproject.org>
2023-01-21 06:50:42 +00:00
Michael Cronenworth
0a5238b4bd Update to 8.0-rc4 2023-01-17 16:29:57 -06:00
Michael Cronenworth
9858114030 Fix openal Obsoletes typo 2022-11-28 09:21:54 -06:00
Michael Cronenworth
b7a1f713fe One more ARM64 fix 2022-11-27 22:56:41 -06:00
Michael Cronenworth
c8c81d2398 Fixes for ARM64 build 2022-11-27 22:37:06 -06:00
Michael Cronenworth
552cb045db Update to 7.22 2022-11-27 21:53:48 -06:00
Michael Cronenworth
6a539bd720 Update to 7.20 2022-11-01 07:02:49 -05:00
Michael Cronenworth
55482fecf2 Update to 7.19 2022-10-24 16:14:31 -05:00
Michael Cronenworth
3b68af45f1 Require MinGW FAudio (RHBZ#2134452) 2022-10-13 08:10:29 -05:00
Michael Cronenworth
5b27b74f4d Hack around linker flags in configure on i686 2022-10-11 15:22:36 -05:00
Michael Cronenworth
3be0458843 Update to 7.18 2022-10-11 11:02:43 -05:00
Fedora Release Engineering
947c943623 Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Signed-off-by: Fedora Release Engineering <releng@fedoraproject.org>
2022-07-23 12:26:31 +00:00
Michael Cronenworth
a3e2f7a5dc Need to add Requires on DLL packages (RHBZ#2107290) 2022-07-14 19:29:58 -05:00
Michael Cronenworth
d9c9f057ba Fix changelog 2022-07-05 15:08:49 -05:00
Michael Cronenworth
17f126ebed Update to 7.12 and unbundle vkd3d 2022-07-05 15:07:50 -05:00
Michael Cronenworth
e8cae40f2f Update to 7.11 2022-06-22 21:18:23 -05:00
Michael Cronenworth
a0465378b4 Require Mono 7.3.0 2022-06-06 10:39:27 -05:00
Michael Cronenworth
bf9fa32bb2 Update to 7.10 2022-06-06 07:25:32 -05:00
Michael Cronenworth
baa57bab54 Update to 7.9 2022-05-23 17:18:11 -05:00
Michael Cronenworth
c01aecc816 Add missing cross-compiling patch 2022-04-03 16:20:37 -05:00
Michael Cronenworth
5fba36fcda Drop 32-bit ARM, add MinGW package dependencies 2022-04-03 16:16:24 -05:00
Michael Cronenworth
ed2a342900 Fixes for a working x86 and ARM build 2022-04-01 13:39:05 -05:00
Michael Cronenworth
588d11eb6a Add BR on lld for ARM64 2022-03-30 09:41:37 -05:00
Michael Cronenworth
02e3f382f3 No longer BR on libvkd3d 2022-03-29 20:23:47 -05:00
Michael Cronenworth
7d31b71a6c Update to 7.5
- Needing compiling fix for multi-process compile.
- Upstream now bundles libvkd3d source and compiles into in DLL form
- Cannot build libvkd3d in Fedora as DLL at this time (32-bit issue)
2022-03-29 20:21:59 -05:00
Sandro Mani
1d82731a68 Rebuild with mingw-gcc-12 2022-03-25 15:00:27 +01:00
Michael Cronenworth
1bc03e18f0 Update arm file list 2022-03-11 20:19:05 -06:00
Michael Cronenworth
b24dd04b6f Update to 7.3 2022-03-11 15:53:16 -06:00
6 changed files with 1489 additions and 2567 deletions

View file

@ -1,3 +1,3 @@
SHA512 (wine-7.2.tar.xz) = 13db73950218bc743803b2c60cee2534f38804a940e9666aad0f0f91e26bd5d432ca2f0cd8134ff6c43bb8dae253098d2e3db0a3621aa38fac9a1574152b8729
SHA512 (wine-7.2.tar.xz.sign) = e14bdb978098b2ced779bc6d77af3ad32450b8967b7501d40e900ada69cf075158e54b8d90d8206d564ff4346e6f05c26ce7521481df265add676b8eff405b87
SHA512 (wine-staging-7.2.tar.gz) = d8e0779b143424d5677ec556140db8698e414c240b9107a62ed3364e57e1e9d1c7115d141a71997ed4d436154b5254b061bac5071dd99b0d4729053e73304c38
SHA512 (wine-11.0.tar.xz) = a2c3db14f8cf0d19927466805c8f17c68ee7e93d1196d1162dd2279af497c21ec611a63f7a9de59953bbdfdb44c87d7bf55373c6533224a5d54e434c29428d1b
SHA512 (wine-11.0.tar.xz.sign) = b37064b787e4cff05b01f0d04fe2af8ff341e274a41a0238b5e58e392223bcd3574eb593f78ba7de8fb8caea7c27abf2a1259527807a2bec2413aa9ce027e183
SHA512 (wine-staging-11.0.tar.gz) = 27eecce0cc1974e97d2aaffc0bf5a5d114f5fd8d3d6a349d9f984058a316b6654dd07bc2223c38df16fd2862f59aa79518d2d109ea0ac41c957144377ddd39a7

View file

@ -1 +0,0 @@
/usr/lib/wine/

View file

@ -1 +0,0 @@
/usr/lib64/wine/

1
wine-ntsync.conf Normal file
View file

@ -0,0 +1 @@
ntsync

View file

@ -1,89 +0,0 @@
#!/bin/sh
#
# wine Allow users to run Windows(tm) applications by just clicking on them
# (or typing ./file.exe)
#
# chkconfig: 35 98 10
# description: Allow users to run Windows(tm) applications by just clicking \
# on them (or typing ./file.exe)
### BEGIN INIT INFO
# Provides: wine-binfmt
# Required-Start:
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Add and remove wine binary handler
# Description: Allow users to run Windows(tm) applications by just clicking
# on them (or typing ./file.exe)
### END INIT INFO
. /etc/rc.d/init.d/functions
RETVAL=0
start() {
# fix bug on changing runlevels #213230
if [ -e /proc/sys/fs/binfmt_misc/windows ]; then
echo -n $"Binary handler for Windows applications already registered"
else
echo -n $"Registering binary handler for Windows applications: "
/sbin/modprobe binfmt_misc &>/dev/null
echo ':windows:M::MZ::/usr/bin/wine:' >/proc/sys/fs/binfmt_misc/register || :
echo ':windowsPE:M::PE::/usr/bin/wine:' >/proc/sys/fs/binfmt_misc/register || :
RETVAL=$?
[ $RETVAL -eq 0 ] && success || failure
fi
echo
}
stop() {
echo -n $"Unregistering binary handler for Windows applications: "
echo "-1" >/proc/sys/fs/binfmt_misc/windows || :
echo "-1" >/proc/sys/fs/binfmt_misc/windowsPE || :
RETVAL=$?
[ $RETVAL -eq 0 ] && success || failure
echo
}
wine_status() {
if [ -e /proc/sys/fs/binfmt_misc/windows ]; then
echo $"Wine binary format handlers are registered."
return 0
else
echo $"Wine binary format handlers are not registered."
return 3
fi
}
case "$1" in
start)
start
;;
stop)
stop
;;
status)
wine_status
RETVAL=$?
;;
restart)
stop
start
;;
reload)
stop
start
;;
condrestart|try-restart)
if [ -e /proc/sys/fs/binfmt_misc/windows ]; then
stop
start
fi
;;
*)
echo $"Usage: $prog {start|stop|status|restart|reload|try-restart}"
exit 1
esac
exit $RETVAL

4066
wine.spec

File diff suppressed because it is too large Load diff